#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-clock/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: clock
version: 0.7.2
id: clock-0.7.2-Cf9UTsaN2AjEpBnoMpmgkU
key: clock-0.7.2-Cf9UTsaN2AjEpBnoMpmgkU
license: BSD-3-Clause
copyright: Copyright © Cetin Sert 2009-2016, Eugene Kirpichov 2010, Finn Espen Gundersen 2013, Gerolf Seitz 2013, Mathieu Boespflug 2014 2015, Chris Done 2015, Dimitri Sabadie 2015, Christian Burger 2015, Mario Longobardi 2016
maintainer: Cetin Sert <cetin@corsis.eu>, Corsis Research
author: Cetin Sert <cetin@corsis.eu>, Corsis Research
stability: stable
homepage: https://github.com/corsis/clock
synopsis: High-resolution clock functions: monotonic, realtime, cputime.
description:
    A package for convenient access to high-resolution clock and
    timer functions of different operating systems via a unified API.
    .
    POSIX code and surface API was developed by Cetin Sert in 2009.
    .
    Windows code was contributed by Eugene Kirpichov in 2010.
    .
    FreeBSD code was contributed by Finn Espen Gundersen on 2013-10-14.
    .
    OS X code was contributed by Gerolf Seitz on 2013-10-15.
    .
    Derived @Generic@, @Typeable@ and other instances for @Clock@ and @TimeSpec@ was contributed by Mathieu Boespflug on 2014-09-17.
    .
    Corrected dependency listing for @GHC < 7.6@ was contributed by Brian McKenna on 2014-09-30.
    .
    Windows code corrected by Dimitri Sabadie on 2015-02-09.
    .
    Added @timeSpecAsNanoSecs@ as observed widely-used by Chris Done on 2015-01-06, exported correctly on 2015-04-20.
    .
    Imported Control.Applicative operators correctly for Haskell Platform on Windows on 2015-04-21.
    .
    Unit tests and instance fixes by Christian Burger on 2015-06-25.
    .
    Removal of fromInteger : Integer -> TimeSpec by Cetin Sert on 2015-12-15.
    .
    New Linux-specific Clocks: MonotonicRaw, Boottime, MonotonicCoarse, RealtimeCoarse by Cetin Sert on 2015-12-15.
    .
    Reintroduction fromInteger : Integer -> TimeSpec by Cetin Sert on 2016-04-05.
    .
    Fixes for older Linux build failures introduced by new Linux-specific clocks by Mario Longobardi on 2016-04-18.
    .
    [Version Scheme]
    Major-@/R/@-ewrite . New-@/F/@-unctionality . @/I/@-mprovementAndBugFixes . @/P/@-ackagingOnly
    .
    * @PackagingOnly@ changes are made for quality assurance reasons.
category: System
abi: 82a650ba62ece4a7abfe755398091bc1
exposed: True
exposed-modules:
    System.Clock
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/clock-0.7.2
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/clock-0.7.2
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/clock-0.7.2
hs-libraries: HSclock-0.7.2-Cf9UTsaN2AjEpBnoMpmgkU
include-dirs: /usr/local/include
depends:
    base-4.11.1.0
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/clock-0.7.2/html/clock.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/clock-0.7.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

